Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom
Interface UserDataHandler

public interface UserDataHandler

When associating an object to a key on a node using `Node.setUserData()` the application can provide a handler that gets called when the node the object is associated to is being cloned, imported, or renamed. This can be used by the application to implement various behaviors regarding the data it associates to the DOM nodes. This interface defines that handler.

See also the Document Object Model (DOM) Level 3 Core Specification.

Since:
  DOM Level 3

Field Summary
`static short` | `NODE_ADOPTED` The node is adopted, using `Document.adoptNode()`.
`static short` | `NODE_CLONED` The node is cloned, using `Node.cloneNode()`.
`static short` | `NODE_DELETED` The node is deleted.
`static short` | `NODE_IMPORTED` The node is imported, using `Document.importNode()`.
`static short` | `NODE_RENAMED` The node is renamed, using `Document.renameNode()`.

Method Summary
`void` | `handle(short operation, java.lang.String key, java.lang.Object data, Node src, Node dst)` This method is called whenever the node for which this handler is registered is imported or cloned.

Field Detail

### NODE_CLONED

    public static final short NODE_CLONED

  The node is cloned, using `Node.cloneNode()`.

### NODE_IMPORTED

    public static final short NODE_IMPORTED

  The node is imported, using `Document.importNode()`.

### NODE_DELETED

    public static final short NODE_DELETED

  The node is deleted.

  Note: This may not be supported or may not be reliable in certain environments, such as Java, where the implementation has no real control over when objects are actually deleted.

### NODE_RENAMED

    public static final short NODE_RENAMED

  The node is renamed, using `Document.renameNode()`.

### NODE_ADOPTED

    public static final short NODE_ADOPTED

  The node is adopted, using `Document.adoptNode()`.

Method Detail

### handle

    public void handle(short operation,
                       java.lang.String key,
                       java.lang.Object data,
                       Node src,
                       Node dst)

  This method is called whenever the node for which this handler is registered is imported or cloned.
  DOM applications must not raise exceptions in a `UserDataHandler`. The effect of throwing exceptions from the handler is DOM implementation dependent.
  Parameters:
    `operation` - Specifies the type of operation that is being performed on the node.
    `key` - Specifies the key for which this handler is being called.
    `data` - Specifies the data for which this handler is being called.
    `src` - Specifies the node being cloned, adopted, imported, or renamed. This is `null` when the node is being deleted.
    `dst` - Specifies the node newly created if any, or `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.